ランタイム: Mix::Scene::IActorConstraint Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IActorConstraint Class Referenceabstract

アクターコンストレイントインターフェース More...

`#include <IActorConstraint.h>`

Inheritance diagram for Mix::Scene::IActorConstraint:
[legend]
Collaboration diagram for Mix::Scene::IActorConstraint:
[legend]

## Public Member Functions

virtual const wchar_t * | GetName (void) const =0
| 名前を取得します More...
virtual void | SetLocalMatrix (const Mix::Matrix4x4 &mat)=0
| ローカル行列を設定します More...
virtual const Mix::Matrix4x4 & | GetLocalMatrix (void) const =0
| ローカル行列を取得します More...
virtual const Mix::Matrix4x4 & | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IActorConstraint (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

アクターコンストレイントインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IActorConstraint::~IActorConstraint | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const wchar_t* Mix::Scene::IActorConstraint::GetName | ( | void |  | ) | const

pure virtual

名前を取得します

Returns
  名前を返します

virtual void Mix::Scene::IActorConstraint::SetLocalMatrix | ( | const Mix::Matrix4x4 & | mat | ) |

pure virtual

ローカル行列を設定します

Parameters

  [in] | mat | ローカル行列を表す Mix::Matrix4x4 クラス

virtual const Mix::Matrix4x4& Mix::Scene::IActorConstraint::GetLocalMatrix | ( | void |  | ) | const

pure virtual

ローカル行列を取得します

Returns
  ローカル行列を表す Mix::Matrix4x4 クラスを返します

virtual const Mix::Matrix4x4& Mix::Scene::IActorConstraint::GetWorldMatrix | ( | void |  | ) | const

pure virtual

ワールド行列を取得します

Returns
  ワールド行列を現す Mix::Matrix4x4 クラスを返します

The documentation for this class was generated from the following file:

- Mix/Scene/IActorConstraint.h